Package Details: discord-ptb 0.0.22-1

Git Clone URL: https://aur.archlinux.org/discord-ptb.git (read-only, click to copy)
Package Base: discord-ptb
Description: All-in-one voice and text chat for gamers that's free and secure. - Public Test Build
Upstream URL: https://discordapp.com
Licenses: custom
Submitter: timschumi
Maintainer: timschumi
Last Packager: timschumi
Votes: 6
Popularity: 0.84
First Submitted: 2019-09-05 08:41
Last Updated: 2020-09-09 17:38

Latest Comments

1 2 Next › Last »

timschumi commented on 2020-09-29 09:24

@DestroyerX

Discord PTB is still at version 0.0.22 for me. It also doesn't fail when starting, so I unflagged the package for now.

timschumi commented on 2020-09-09 17:40

my bad for taking so long. Marked E-Mail as read when changing the version and committing - forgot to actually upload after testing.

Dude803 commented on 2020-09-09 17:19

pkgbuild for version 0.0.22-1: https://gist.github.com/Element21/053387c67328a1e284903894b4e8c54f

masterberg commented on 2020-05-27 21:54

Arch now have another package that provides emoji-fonts, 'ttf-joypixels'. It works perfectly well and it's more updated to the lastest Unicode sets. It could be considered as a possible candidate for an optional package (or maybe it's time to make a provides='emoji-font' as a solution)

timschumi commented on 2020-04-26 12:30

@aigen31

The log output you have posted is probably unrelated to the crash, since it is printed right after the start (Linux doesn't have krisp support yet, so that's probably why it fails to download).

However, I do experience those crashes as well (on "normal" Discord, surprisingly), but unfortunately only once a day at most. It seems that I will have to resort to running Discord with a debugger attached, until I can figure out why it crashes.

aigen31 commented on 2020-04-26 09:55

A crash occurs when a long call to Discord is made. This does not depend on the release type. Here is the output in the terminal:

DiscordPtb 0.0.19
Starting app.
Starting updater.
[Modules] Modules initializing
[Modules] Distribution: remote
[Modules] Host updates: enabled
[Modules] Module updates: enabled
[Modules] Module install path: /home/aigen31/.config/discordptb/0.0.19/modules
[Modules] Module installed file path: /home/aigen31/.config/discordptb/0.0.19/modules/installed.json
[Modules] Module download path: /home/aigen31/.config/discordptb/0.0.19/modules/pending
[Modules] No updates to install
[Modules] Checking for host updates.
[Modules] Host is up to date.
[Modules] Checking for module updates at https://discordapp.com/api/modules/ptb/versions.json
[Modules] No module updates available.
[Modules] Starting to install discord_krisp...
[Modules] Fetching discord_krisp@0 from https://discordapp.com/api/modules/ptb/discord_krisp/0
[Modules] Streaming discord_krisp@0 to /home/aigen31/.config/discordptb/0.0.19/modules/pending/discord_krisp-0.zip
Error downloading with electron net: HTTP Error: Status Code 403
Falling back to node net library..
[Modules] Failed fetching module discord_krisp@0: Error: HTTP Error: Status Code 403
[Modules] Finished module downloads. [success: 0] [failure: 1]

Operating System: Manjaro Linux KDE Plasma Version: 5.18.4 KDE Frameworks Version: 5.69.0 Qt Version: 5.14.2 Kernel Version: 5.4.34-1-MANJARO OS Type: 64-bit Processors: 8 × AMD Ryzen 5 2500U with Radeon Vega Mobile Gfx Memory: 6,8 ГиБ

Capster commented on 2020-02-08 13:50

You accidentally put sha512sums again

timschumi commented on 2019-09-05 13:29

Will do, I have to correctly cut the OSS-LICENSE file anyways (since it has the whole thing two times).

noirscape commented on 2019-09-05 12:59

You can also mark them as SKIP (that will stop them from being checked on each download).

timschumi commented on 2019-09-05 12:54

@Samieho

The sha512sums of those files change on every reload.

I'm thinking about replacing them with a static file though.